Page MenuHomePhabricator

Not Found Error in MobileFormatter
Closed, ResolvedPublic

Description

Not Found Error
in /srv/mediawiki/php-1.28.0-wmf.23/extensions/MobileFrontend/includes/MobileFormatter.php
on line 229

View in logstash from start of wmf.23 going to production:
https://logstash.wikimedia.org/goto/50127b6b08cf347fe165c3763fe37143

1,339 warnings since the start of wmf.23 (until now, of course).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2016, 12:04 AM

The problematic line is:

$leadSectionBody->insertBefore( $firstP, $infoboxAndParagraphs->item( 0 ) );

This error is raised if "refnode is not a child of this node."
"ref node" is $infoboxAndParagraphs->item( 0 ) which should be an infobox according to the if statement above. So why would "refnode" not be a child of leadSectionBody?

I haven't been able to replicate it yet, but I discovered T149561 while debugging which may be related.

Change 318964 had a related patch set uploaded (by Phuedx):
WIP: Test case for T149389

https://gerrit.wikimedia.org/r/318964

Change 318978 had a related patch set uploaded (by Bmansurov):
MF Beta: Don't move first paragraph before infobox

https://gerrit.wikimedia.org/r/318978

Change 318978 merged by jenkins-bot:
MF Beta: Don't move first paragraph before infobox

https://gerrit.wikimedia.org/r/318978

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2016-10-31T23:46:51Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:318978|MF Beta: Do not move first paragraph before infobox (T145216) (T149389)]] (duration: 00m 46s)

ovasileva triaged this task as High priority.Nov 1 2016, 2:34 PM
ovasileva added a project: Readers-Web-Backlog.

Change 318964 merged by jenkins-bot:
Only consider immediate descendant infoboxes while moving first paragraph

https://gerrit.wikimedia.org/r/318964

phuedx closed this task as Resolved.Nov 2 2016, 11:17 AM

The feature has been disabled and the error has since been fixed.

@bmansurov: I do think we should investigate those pages whose infoboxes are wrapped in one or more containers. Should we create a task for temporarily adding logging?

phuedx set the point value for this task to 2.Nov 2 2016, 11:18 AM
phuedx added a subscriber: MBinder_WMF.

2 because of the SWAT deploy, understanding the error – "Not Found Error" is very descriptive… – creating a test case and making it pass /cc @bmansurov @MBinder_WMF

phuedx removed the point value for this task.Nov 2 2016, 11:22 AM

This is a subtask. Mibad.

w

The feature has been disabled and the error has since been fixed.
@bmansurov: I do think we should investigate those pages whose infoboxes are wrapped in one or more containers. Should we create a task for temporarily adding logging?

Yes, I think we should investigate. I am not sure about the best approach those. Do you think EL is the way to go? Or should we analyze the templates themselves as you suggested somewhere else? It's not clear to me if we can only record one event per page. I'd like to avoid a situation where we receive the same event multiple times for a given page.

@bmansurov: I do think we should investigate those pages whose infoboxes are wrapped in one or more containers. Should we create a task for temporarily adding logging?

Captured in T149884: Log instances of infoboxes being wrapped in containers.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM